      subroutine outwardi(n,energy,wfn,l,rveff,proj,h,nmx,a,b)
!  pgm to integrate outward the radial schroedinger inhomogeneous equation
!    at energy 'energy' and at angular momentum l
!
!    with potential smooth rveff/r, given in uniform mesh of n points
!        proj/r == inhomogeneous function
!     It is assumed that for r ~0, proj~~(r**(l+1))*(c0+r**2*c2+...)
!
!   r=i*h, i=1,...n-1 ;assuming p(r)=C*r**(l+3)*polynomial(r) for r==0;
!
!  uses Noumerov algorithm
!
      implicit real*8 (a-h,o-z)
      dimension rveff(n),wfn(n),proj(n)
      dimension a(nmx),b(nmx)
      ierr=0
      if (n.gt.nmx) then
       write(6,*) 'error in outwardi -- n,nmx = ',n,nmx
       stop
       endif
      angm=l*(l+1)
      eh2=energy*h*h
! r~~0 behavior of proj :
      x3=3**(l+1)
      x2=2**(l+1)
      x1=1
      fac=1.d0/(h**(l+1))
      proj0=(proj(3)/x3+3*(proj(1)-proj(2)/x2))*fac
!     write(6,*) ' proj0 = ', proj0
!
      do 10 i=1,n
      a(i)=angm/(i*i)+h*rveff(i)/i
   10 continue
      do 12 i=1,n
      b(i)=-1.2d0+0.1d0*a(i)
   12 continue
      ssl=0.1d0
      ssd=1.d0
      do 14 i=1,n
   14 a(i)=2.4d0+a(i)
!
!  start outward integration
!
      ww=0.1d0*h*h
      c2=-1*proj0/(4*l+6.d0)
      wfn(1)=h**(l+3)*c2
      wfn(2)=((a(1)-eh2*ssd)*wfn(1)                                     &
           -ww*(proj(2)+10*proj(1)))/(eh2*ssl-b(2))
       do j=3,n
       wfn(j)=((a(j-1)-eh2*ssd)*wfn(j-1)                                &
           -ww*(proj(j)+proj(j-2)+10*proj(j-1))                         &
          +(b(j-2)-eh2*ssl)*wfn(j-2))/(eh2*ssl-b(j))
       enddo
!
      return
       end
